﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Sample02.Models.DomainModels.DTO.EF
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    using System.Data.Entity.Core.Objects;
    using System.Linq;
    
    public partial class OnlineShopEntities : DbContext
    {
        public OnlineShopEntities()
            : base("name=OnlineShopEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Customer> Customer { get; set; }
        public virtual DbSet<OrderDetails> OrderDetails { get; set; }
        public virtual DbSet<OrderMaster> OrderMaster { get; set; }
        public virtual DbSet<Product> Product { get; set; }
        public virtual DbSet<ProductCategory> ProductCategory { get; set; }
    
        public virtual ObjectResult<usp_Customer_Select_Result> usp_Customer_Select()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<usp_Customer_Select_Result>("usp_Customer_Select");
        }
    
        public virtual ObjectResult<usp_OrderMaster_Select_Result> usp_OrderMaster_Select()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<usp_OrderMaster_Select_Result>("usp_OrderMaster_Select");
        }
    
        public virtual ObjectResult<usp_Product_Select_Result> usp_Product_Select()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<usp_Product_Select_Result>("usp_Product_Select");
        }
    
        public virtual ObjectResult<usp_ProductCategory_Select_Result> usp_ProductCategory_Select()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<usp_ProductCategory_Select_Result>("usp_ProductCategory_Select");
        }
    }
}
